Loading...
Searching...
No Matches
driver_mic_sink.h File Reference
`#include <common/config.h>`
`#include <scif.h>`
`#include <drivers/mp_common/mp_common.h>`
`#include <drivers/mp_common/sink_common.h>`

Go to the source code of this file.

## Macros

#define | STARPU_MIC_SINK_REPORT_ERROR(status)

## Functions

void | _starpu_mic_sink_report_error (const char *func, const char *file, const int line, const int status)
void | _starpu_mic_sink_init (struct _starpu_mp_node *node)
void | _starpu_mic_sink_launch_workers (struct _starpu_mp_node *node)
void | _starpu_mic_sink_deinit (struct _starpu_mp_node *node)
void | _starpu_mic_sink_allocate (const struct _starpu_mp_node *mp_node, void *arg, int arg_size)
void | _starpu_mic_sink_free (const struct _starpu_mp_node *mp_node STARPU_ATTRIBUTE_UNUSED, void *arg, int arg_size)
void | _starpu_mic_sink_bind_thread (const struct _starpu_mp_node *mp_node STARPU_ATTRIBUTE_UNUSED, int coreid, int *core_table, int nb_core)

## Variables

void(*)(void) | _starpu_mic_sink_lookup (const struct _starpu_mp_node *node STARPU_ATTRIBUTE_UNUSED, char *func_name)